Main Page Widgets Namespaces Book

# Gtk::MessageDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::MessageDialog:

[legend]
List of all members.

## Detailed Description

Convenient message window.

Gtk::MessageDialog presents a dialog with an image representing the type of message (Error, Question, etc.) alongside some message text. It's simply a convenience widget; you could construct the equivalent of Gtk::MessageDialog from Gtk::Dialog without too much effort, but Gtk::MessageDialog saves typing.

## Public Member Functions

virtual | ~MessageDialog ()
GtkMessageDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkMessageDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| MessageDialog (const Glib::ustring& message, MessageType type=MESSAGE_INFO, ButtonsType buttons=BUTTONS_OK, bool modal=false, bool use_separator=false)
| MessageDialog (Gtk::Window& parent, const Glib::ustring& message, MessageType type=MESSAGE_INFO, ButtonsType buttons=BUTTONS_OK, bool modal=false, bool use_separator=false)

## Protected Member Functions

void | set_message (const Glib::ustring& message)

## Related Functions

(Note that these are not member functions.)
Gtk::MessageDialog* | wrap (GtkMessageDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::MessageDialog::~MessageDialog | ( |  | ) | `[virtual]`

Gtk::MessageDialog::MessageDialog | ( | const Glib::ustring& | message,
|  | MessageType | type = MESSAGE_INFO,
|  | ButtonsType | buttons = BUTTONS_OK,
|  | bool | modal = false,
|  | bool | use_separator = false
| ) |

Gtk::MessageDialog::MessageDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | message,
|  | MessageType | type = MESSAGE_INFO,
|  | ButtonsType | buttons = BUTTONS_OK,
|  | bool | modal = false,
|  | bool | use_separator = false
| ) |

## Member Function Documentation

const GtkMessageDialog* Gtk::MessageDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkMessageDialog* Gtk::MessageDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

void Gtk::MessageDialog::set_message | ( | const Glib::ustring& | message | ) | `[protected]`

## Friends And Related Function Documentation

Gtk::MessageDialog* wrap | ( | GtkMessageDialog* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- messagedialog.h